Bug 1274837 - speexdsp RPM doesn't build with current spec file
speexdsp RPM doesn't build with current spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: speexdsp (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 11:37 EDT by Leif Madsen
Modified: 2015-10-31 22:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: speexdsp-1.2-0.7.rc3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:29:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Change to speexdsp.spec that results in successful build. (334 bytes, text/plain)
2015-10-23 11:37 EDT, Leif Madsen
no flags Details

  None (edit)
Description Leif Madsen 2015-10-23 11:37:40 EDT
Created attachment 1085862 [details]
Change to speexdsp.spec that results in successful build.

Description of problem:
When building speexdsp, it fails due to a missing include line in the spec file.

Version-Release number of selected component (if applicable):


How reproducible:
Always reproducible.


Steps to Reproduce:
1. fedpkg clone -a speexdsp
2. cd speexdsp
3. fedpkg sources
4. fedpkg prep
5. fedpkg local

Actual results:
Processing files: speexdsp-debuginfo-1.2-0.6.rc3.fc24.x86_64
Checking for unpackaged file(s): /usr/lib/rpm/check-files /root/rpmbuild/BUILDROOT/speexdsp-1.2-0.6.rc3.fc24.x86_64
error: Installed (but unpackaged) file(s) found:
   /usr/share/doc/speexdsp/manual.pdf


Expected results:
Not that :)  Should result in successful build of RPMs.


Additional info:
Patch added that fixes the issue.
Comment 1 Fedora Update System 2015-10-23 12:06:06 EDT
speexdsp-1.2-0.7.rc3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bf7b330674
Comment 2 Leif Madsen 2015-10-23 15:09:01 EDT
Unfortunately the modification to my patch doesn't result in the required changes. The %doc line probably needs to be speexdsp/manual.pdf, not doc/manual.pdf. Thanks!
Comment 3 Leif Madsen 2015-10-23 17:05:16 EDT
(In reply to Leif Madsen from comment #2)
> Unfortunately the modification to my patch doesn't result in the required
> changes. The %doc line probably needs to be speexdsp/manual.pdf, not
> doc/manual.pdf. Thanks!

After talking to Jared, I'm wrong here. We actually need a combination of the change Jared made, and the original change I made to add the manual.pdf to the build.

Reason being that the Makefile in speexdsp installs the manual.pdf, so the RPM bitches that it isn't being included (at least on the version of rpmbuild that ships with CentOS 6).
Comment 4 Jared Smith 2015-10-24 09:10:22 EDT
Fixed with my latest commit -- should now build on Fedora rawhide and F23, in addition to EPEL6/EPEL7.
Comment 5 Fedora Update System 2015-10-26 22:20:22 EDT
speexdsp-1.2-0.7.rc3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update speexdsp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bf7b330674
Comment 6 Fedora Update System 2015-10-31 22:29:11 EDT
speexdsp-1.2-0.7.rc3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.